You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2014-07-14 21:05:43

stoatwblr
Member
Registered: 2014-04-13
Posts: 117

Spec change needed for 0.85

I'm trying to hack the EL6 spec file to build an rpm from the 0.85 tarball and discovered this was missing:

# diff  ../SOURCES/glpi-config_path.php  /usr/share/glpi/config/config_path.php
18a19
> define('GLPI_PICTURE_DIR',    '/var/lib/glpi/files/_pictures/);

There's obviously other stuff missing, because I am getting a blank screen now I have patched the file.

Offline

#2 2014-07-15 00:33:56

stoatwblr
Member
Registered: 2014-04-13
Posts: 117

Re: Spec change needed for 0.85

That should be

# diff  ../SOURCES/glpi-config_path.php  /usr/share/glpi/config/config_path.php
18a19
> define('GLPI_PICTURE_DIR',    '/var/lib/glpi/files/_pictures/');

I missed a trailing ' - and now it works.

The only other change (for the moment) is to alter the location of Source0 and change the patch command from "patch -p0" tp "patch -p0 -F3"

Offline

#3 2014-07-18 08:54:23

yllen
GLPI-DEV
From: Sillery (51)
Registered: 2008-01-14
Posts: 15,185

Re: Spec change needed for 0.85

I don't undestand, config_path.php is not in the tarball of GLPI.


CentOS 6.5 - CentOS 7.x
PHP 5.6 - PHP 7.x - MySQL 5.6  - MariaDB 10.2 + APC + oOPcache
GLPI from 0.72 to dev version
Certifiée ITIL (ITV2F, ITILF, ITILOSA)

Offline

Board footer

Powered by FluxBB